# Copyright (C) 2024 Michael Becker  <alcexhim@gmail.com>
# 
# This file is part of Mocha.NET.
# 
# Mocha.NET is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Mocha.NET is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Mocha.NET.  If not, see <https://www.gnu.org/licenses/>.

---
- entityDefinitions:
  - IDR_Get_Relationship_Method__returns__Relationship: '{321581d6-60c1-4547-8344-9d5bda027adc}'
  - IDR_Relationship__returned_by__Get_Relationship_Method: '{174242ec-7615-42d9-9639-c70ff6e84e0d}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetRelationshipMethod;'
    inherits:  '&IDC_Method;'
    name:      GR - Get Relationship Method
    index:     207
    customTagName: getRelationshipMethod
    superclasses:
    - instance: '&IDC_Method;'
    #- instance: '&IDC_ExecutableReturningElement;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    - instance: '&IDA_Singular;'
      customTagName: 'singular'
    relationships:
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Relationship_Method__returns__Relationship;'
      customTagName: 'returnsRelationshipId'

  - relationship: '&IDR_Get_Relationship_Method__returns__Relationship;'
    index: 521
    sourceClassId: '&IDC_GetRelationshipMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Relationship;'
    siblingRelationshipId: '&IDR_Relationship__returned_by__Get_Relationship_Method;'
    singular: yes

  - relationship: '&IDR_Relationship__returned_by__Get_Relationship_Method;'
    index: 522
    sourceClassId: '&IDC_Relationship;'
    type: 'returned by'
    destinationClassId: '&IDC_GetRelationshipMethod;'
    siblingRelationshipId: '&IDR_Get_Relationship_Method__returns__Relationship;'
    singular: no
